Package com.emc.documentum.rest.config

# Enum Class FormatRestrictionConfig

java.lang.Object
java.lang.Enum<FormatRestrictionConfig>
com.emc.documentum.rest.config.FormatRestrictionConfig

All Implemented Interfaces:
  `Serializable`, `Comparable<FormatRestrictionConfig>`, `Constable`

public enum FormatRestrictionConfig extends Enum<FormatRestrictionConfig>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSTANCE`
  The singleton instance of the `FormatRestrictionConfig`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `blackListEnabled()`
  `Collection<String>`
  `getBlackList()`
  `String`
  `getBlackListQueryCondition()`
  `Collection<String>`
  `getWhiteList()`
  `String`
  `getWhiteListQueryCondition()`
  `boolean`
  `isFormatForbidden(String formatName)`
  `void`
  `reload()`
  `static FormatRestrictionConfig`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FormatRestrictionConfig[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  `boolean`
  `whiteListEnabled()`

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSTANCE

    public static final FormatRestrictionConfig INSTANCE
    The singleton instance of the `FormatRestrictionConfig`

- ## Method Details

  - ### values

    public static FormatRestrictionConfig[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FormatRestrictionConfig valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### reload

    public void reload()

  - ### isFormatForbidden

    public boolean isFormatForbidden(String formatName)

  - ### whiteListEnabled

    public boolean whiteListEnabled()

  - ### blackListEnabled

    public boolean blackListEnabled()

  - ### getWhiteList

    public Collection<String> getWhiteList()

  - ### getBlackList

    public Collection<String> getBlackList()

  - ### getWhiteListQueryCondition

    public String getWhiteListQueryCondition()

  - ### getBlackListQueryCondition

    public String getBlackListQueryCondition()